<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="23" short-name="perm-symmetries" url="https://polygon.codeforces.com/p8Zc5t3/Allvik06/perm-symmetries">
    <names>
        <name language="bulgarian" value="Пермутации и заявки"/>
        <name language="english" value="Permutations and Queries"/>
        <name language="russian" value="Перестановки и запросы"/>
    </names>
    <statements latex-pdf-mode="obsolete">
        <statement charset="UTF-8" language="bulgarian" mathjax="true" path="statements/bulgarian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement language="bulgarian" path="statements/.pdf/bulgarian/problem.pdf" type="application/pdf"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials latex-pdf-mode="obsolete">
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial charset="UTF-8" language="russian" mathjax="true" path="statements/russian/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
        <tutorial language="russian" path="statements/.pdf/russian/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>1000</time-limit>
            <memory-limit>536870912</memory-limit>
            <test-count>46</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test group="0" method="manual" points="0.0" sample="true"/>
                <test group="0" method="manual" points="0.0" sample="true"/>
                <test cmd="gen group=1 pmode=random qmode=random n=1000 q=1000" group="1" method="generated" points="15.0"/>
                <test cmd="gen group=1 pmode=random qmode=one_val n=1000 q=1000 val=1" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=random qmode=one_val n=1000 q=1000 val=2" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=random qmode=one_val n=1000 q=1000 val=3" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=random qmode=random n=1 q=1000" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=random qmode=random n=2 q=1000" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=random qmode=random n=3 q=1000" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=simple_perm qmode=random n=1000 q=1000" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=1 pmode=cycles_len2 qmode=random n=1000 q=1000" group="1" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=100000 q=100000 val=1" group="2" method="generated" points="22.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=100000 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=100000 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=1 q=100000 val=1" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=1 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=1 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=2 q=100000 val=1" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=2 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=2 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=3 q=100000 val=1" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=3 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=random qmode=one_val n=3 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=simple_perm qmode=one_val n=100000 q=100000 val=1" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=simple_perm qmode=one_val n=100000 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=simple_perm qmode=one_val n=100000 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=cycles_len2 qmode=one_val n=100000 q=100000 val=1" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=cycles_len2 qmode=one_val n=100000 q=100000 val=2" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=2 pmode=cycles_len2 qmode=one_val n=100000 q=100000 val=3" group="2" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=random qmode=random n=100000 q=100000 max_type=2" group="3" method="generated" points="26.0"/>
                <test cmd="gen group=3 pmode=random qmode=one_val n=100000 q=100000 val=1" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=random qmode=one_val n=100000 q=100000 val=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=random qmode=random n=1 q=100000 max_type=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=random qmode=random n=2 q=100000 max_type=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=random qmode=random n=3 q=100000 max_type=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=simple_perm qmode=random n=100000 q=100000 max_type=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=3 pmode=cycles_len2 qmode=random n=100000 q=100000 max_type=2" group="3" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=random n=100000 q=100000" group="4" method="generated" points="16.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=one_val n=100000 q=100000 val=1" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=one_val n=100000 q=100000 val=2" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=one_val n=100000 q=100000 val=3" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=random n=1 q=100000" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=random n=2 q=100000" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=4 pmode=simple_perm qmode=random n=3 q=100000" group="4" method="generated" points="0.0"/>
                <test cmd="gen group=5 pmode=random qmode=random n=100000 q=100000" group="5" method="generated" points="21.0"/>
                <test cmd="gen group=5 pmode=cycles_len2 qmode=random n=100000 q=100000" group="5" method="generated" points="0.0"/>
            </tests>
            <groups>
                <group feedback-policy="complete" name="0" points="0.0" points-policy="complete-group"/>
                <group feedback-policy="icpc" name="1" points="15.0" points-policy="complete-group">
                    <dependencies>
                        <dependency group="0"/>
                    </dependencies>
                </group>
                <group feedback-policy="icpc" name="2" points="22.0" points-policy="complete-group"/>
                <group feedback-policy="icpc" name="3" points="26.0" points-policy="complete-group"/>
                <group feedback-policy="icpc" name="4" points="16.0" points-policy="complete-group"/>
                <group feedback-policy="icpc" name="5" points="21.0" points-policy="complete-group">
                    <dependencies>
                        <dependency group="0"/>
                        <dependency group="1"/>
                        <dependency group="2"/>
                        <dependency group="3"/>
                        <dependency group="4"/>
                    </dependencies>
                </group>
            </groups>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/gen_lib.h" type="h.g++"/>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <testset>
                    <test-count>8</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/Ormlis_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
            </solution>
            <solution tag="main">
                <source path="solutions/allvik_correct.cpp" type="cpp.g++17"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/allvik_stupid.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/part.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/part2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/part3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>1</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list>
            <stress index="1" path="stresses/001"/>
        </list>
    </stresses>
    <tags>
        <tag value="adhoc"/>
        <tag value="permutations"/>
    </tags>
</problem>
